Create Tenant
1 min
POST
https://api.upstartcommerce.com/v1/tenants/create
bodyobject<p>The tenant to create, with its name, domain and contact details.</p>
202<p>Success-tenant creation initiated. Verification email sent to the provided address.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
409The request conflicts with the current state of the resource. This typically occurs when trying to create a resource that already exists or when there's a conflict with business rules.
422<p>The request was well-formed but contains semantic errors or violates business rules that prevent processing.</p>
500<p>An unexpected internal server error occurred. The request may be retried, and if the problem persists, contact support with the traceId from the error response.</p>
503<p>A downstream dependency was unavailable, so the request could not be authorized or completed. The request may be retried.</p>
curl --request POST \
--url https://api.upstartcommerce.com/v1/tenants/create \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data-raw '{
"name": "Acme Retail Corporation",
"email": "[email protected]",
"sites": [
{
"enabled": true,
"name": "US West Coast Store",
"url": "westcoast.acmeretail.com"
}
]
}'